New version of wirecell 0.14.0
05/19/2020 03:22 PM - Haiwang Yu

Status: Closed Start date: 05/19/2020
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Scope: Internal SSI Package:

Experiment: - Co-Assignees:

Description

Hi, we made wirecell release 0.14.0 with necessary updates for ICARUS:
https://github.com/WireCell/wire-cell-toolkit/releases/tag/0.14.0
Could we have new wirecell ups product based on this version?

| updated the building shim in this branch:
https:/cdcvs.fnal.gov/redmine/projects/build-framework/repository/wirecell-ssi-build 2utf8=[] &rev=yuhw 0 14 0
Main changes are bumping up version number and adding spdlog.

In addition, we also need 2 other changes to work together with the changes in wirecell:

1, merge feature/wgu_wirecell_release of dunetpc

2, update this file in cvmfs
/cvmfs/dune.opensciencegrid.org/products/dune/dune_pardata/v01_55_00/WireCellData/pgrapher/common/tools.jsonnet
with this file from Wengiang:
/dune/data2/users/wgu/dune_pardata/v01_55_00/WireCellData/pgrapher/common/tools.jsonnet

Thanks!

History

#1 - 05/19/2020 03:33 PM - Lynn Garren
- Assignee set to Lynn Garren

- Status changed from New to Assigned
To be clear, there is a feature branch for dunetpc, but no code changes are required in larwirecell. |s that correct?

#2 - 05/19/2020 03:42 PM - Haiwang Yu
Lynn Garren wrote:
To be clear, there is a feature branch for dunetpc, but no code changes are required in larwirecell. Is that correct?

That is right, the feature branch of dunetpc needs to be merged is this one:
h1tp§://cdcvs.fnal.qov/redmine/oroiects/dunetoc/reoositorv?uth:D&rev:feature%ZFwou_wirecell_release

no changes are required in larwirecell

#3 - 05/19/2020 10:17 PM - Lynn Garren

MicroBooNE also uses wirecell. A fix is required for the MicroBooNE code as well as for dunetpc.

lar —--rethrow-all -c wirecell_detsim_uboone.fcl -s wirecell_g4_uboone.root -o wirecell_detsim_uboone.root -n 5
%MSG-s ArtException: WireCellToolkit:driftWC@Construction 19-May-2020 22:04:02 CDT ModuleConstruction
cet::exception caught in art
———- Configuration BEGIN
make_tool:
———— WireCelllLArSoft BEGIN
../util/src/Persist.cxx(263): Throw in function Json::Value WireCell::Persist::Parser::load(const string&)
Dynamic exception type: boost::wrapexcept<WireCell::IOError>
[WireCell::tag_errmsg*] = no such file: pgrapher/experiment/uboone/uboone-sim.jsonnet. Maybe you need to a
dd to WIRECELL_PATH.

———— WireCellLArSoft END

Exception caught while processing plugin spec: WCLS
———— Configuration END
SMSG

#4 - 05/20/2020 01:13 AM - Lynn Garren

wirecell vO_14_0 is now on the larsoft cvmfs. This should make it easier for you to find and fix problems in experiment code.
#5 - 05/20/2020 08:36 AM - Haiwang Yu
Lynn Garren wrote:

wirecell vO_14_0 is now on the larsoft cvmfs. This should make it easier for you to find and fix problems in experiment code.

Thanks! We are working on fixing the issue for uBoone and testing for other experiments.

#6 - 05/22/2020 06:24 PM - Lynn Garren

How is this coming along? Do you need help?
#7 - 05/25/2020 10:39 AM - Haiwang Yu
Lynn Garren wrote:

How is this coming along? Do you need help?

Lynn Garren wrote:
MicroBooNE also uses wirecell. A fix is required for the MicroBooNE code as well as for dunetpc.

(-]

Hi,

1, for this issue, it seems the
SWIRECELL_PATH

is not set correctly.

| tried to test this with the following setup:

setup uboonecode v08_51_00 —-gq el9:prof
setup wirecell v0_14_0 -g el9:prof

Then the “pgrapher/experiment/uboone/uboone-sim.jsonnet™ should be able to be found:

Secho $WIRECELL_PATH | tr ':' '\n'
/cvmfs/larsoft.opensciencegrid.org/products/wirecell/v0_14_0/Linux64bit+3.10-2.17-el9-prof/share/wirecell
/cvmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/WireCellData

$ls -1 /cvmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/WireCellData/pgrapher/experiment/uboone
/uboone-sim. jsonnet

—-rw-r——r—— 1 cvmfs cvmfs 5383 Feb 14 15:29 /cvmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/Wir

eCellData/pgrapher/experiment/uboone/uboone-sim. jsonnet

2, in addition, Wengiang did another test with this setup and found there are two “jsonnet’ files in
“/evmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/WireCellData/" need to be updated.

Could you update the two “jsonnet’ files here:
/cvmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/WireCellData/pgrapher/common/tools. jsonnet
/cvmfs/uboone.opensciencegrid.org/products/uboonedata/v08_43_00/WireCellData/pgrapher/experiment/uboone/sp. jso
nnet

with these 2 and bump up the version number?

/nashome/w/wgu/tmp/WireCellData/pgrapher/common/tools. jsonnet
/nashome/w/wgu/tmp/WireCellData/pgrapher/experiment /uboone/sp. jsonnet
Thanks!

#8 - 05/25/2020 07:50 PM - Tracy Usher

I think | am a little confused about the variable WIRECELL_PATH... if memory serves this is set in the larwirecell package, correct? So it should be
independent of experiments?

#9 - 05/25/2020 09:57 PM - Haiwang Yu

Tracy Usher wrote:
| think | am a little confused about the variable WIRECELL_PATH... if memory serves this is set in the larwirecell package, correct? So it should
be independent of experiments?

Hi, | chatted with Hanyu and Wengiang, the main maintainers of WireCell configurations for uboone, pDUNE, ICARUS etc.

| think currently, WireCell configurations, "WIRECELL_PATH", are mostly specified to experiment.

WireCell needs many experiment specific configurations to run, e.g. field response, noise spectrum, etc.

So right now, the jsonnet configurations for each experiment are managed separately like external data files.
uBoone is using uboonedata; pDUNE is using dune_pardata; ICARUS probably icarus_data.

#10 - 05/26/2020 08:25 AM - Lynn Garren

The MicroBooNE code has a number of packages. Setting up uboonecode and wirecell is insufficient. You need at least larwirecell and some other
ub* packages. | will submit a larwirecell PR that will enable us to run the Cl.

Also, you can checkout and build uboone_suite and larwirecell in your local development area.
(mrb g uboone_suite)

#11 - 05/26/2020 04:35 PM - Lynn Garren

WIRECELL_PATH is set by a code fragment in uboonedata, which is a redmine repository. | confirm that the tests pass if the files in question are
replaced. Unfortunately, | lack the permissions to make a pull request for uboonedata. | will send a message to Herb.

Thanks for sorting this out. We are ready to include wirecell vO_14_0 in this weeks' larsoft release.

#12 - 05/27/2020 12:16 AM - Haiwang Yu

Lynn Garren wrote:

WIRECELL_PATH is set by a code fragment in uboonedata, which is a redmine repository. | confirm that the tests pass if the files in question
are replaced. Unfortunately, | lack the permissions to make a pull request for uboonedata. | will send a message to Herb.

Thanks for sorting this out. We are ready to include wirecell vO_14_0 in this weeks' larsoft release.

Great! Thanks a lot for the careful checks and sorting this out.

#13 - 05/28/2020 11:09 AM - Lynn Garren
- % Done changed from 0 to 100

wirecell vO_14_00 is included in larsoft vO8_ 54 00.

#14 - 05/28/2020 11:09 AM - Lynn Garren

- Status changed from Assigned to Resolved

#15 - 06/01/2020 10:22 AM - Kyle Knoepfel

- Status changed from Resolved to Closed
